## Error Domain and Types Error Domain and Types |

## Synopsis

    #include <tumbler/tumbler.h>

    #define             TUMBLER_ERROR
    #define             TUMBLER_ERROR_DOMAIN
    enum                TumblerErrorEnum;

## Description

## Details

### TUMBLER_ERROR

    #define TUMBLER_ERROR        (g_quark_from_static_string (TUMBLER_ERROR_DOMAIN))

### TUMBLER_ERROR_DOMAIN

    #define TUMBLER_ERROR_DOMAIN "Tumbler"

### enum TumblerErrorEnum

    typedef enum {
      TUMBLER_ERROR_UNSUPPORTED,
      TUMBLER_ERROR_CONNECTION_ERROR,
      TUMBLER_ERROR_INVALID_FORMAT,
      TUMBLER_ERROR_IS_THUMBNAIL,
      TUMBLER_ERROR_SAVE_FAILED,
      TUMBLER_ERROR_UNSUPPORTED_FLAVOR,
      TUMBLER_ERROR_NO_CONTENT,
      TUMBLER_ERROR_SHUTTING_DOWN,
    } TumblerErrorEnum;